"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlatList = FlatList;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));
var _hooks = require("./hooks");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AnimatedFlatList = _reactNativeReanimated.default.createAnimatedComponent(_reactNative.FlatList);
function FlatList(props) {
  const {
    layouts,
    flatListNodes,
    enableScroll,
    scrollHandler
  } = (0, _hooks.useCollapsibleTab)();
  const id = (0, _react.useRef)(Math.random()).current;
  (0, _react.useEffect)(() => {
    props.isFocused && enableScroll(id);
  }, [props.isFocused]);
  const listStyles = (0, _react.useMemo)(() => ({
    contentContainerStyle: {
      paddingTop: (layouts.header.height || 0) + (layouts.tabBar.height || 0),
      minHeight: (layouts.container.height || 0) + (layouts.header.height || 0)
    },
    progressViewOffset:
    // on iOS we need the refresh control to be at the top
    _reactNative.Platform.OS === 'ios' ? 0 :
    // on android we need it below the header or it doesn't show because of z-index
    (layouts.header.height || 0) + (layouts.tabBar.height || 0)
  }), [layouts.container.height, layouts.header.height, layouts.tabBar.height]);
  const listRefreshControl = (0, _react.useMemo)(() => props.refreshControl && /*#__PURE__*/_react.default.cloneElement(props.refreshControl, {
    progressViewOffset: listStyles.progressViewOffset,
    ...props.refreshControl.props
  }), [listStyles.progressViewOffset, props.refreshControl]);
  return /*#__PURE__*/_react.default.createElement(AnimatedFlatList, _extends({}, props, {
    contentContainerStyle: [styles.contentContainerStyle, props.contentContainerStyle, listStyles.contentContainerStyle],
    ref: node => flatListNodes[id] = node,
    progressViewOffset: listStyles.progressViewOffset,
    scrollEventThrottle: 1,
    refreshControl: listRefreshControl,
    onScroll: scrollHandler(id)
  }));
}
const styles = _reactNative.StyleSheet.create({
  contentContainerStyle: {
    flexGrow: 1
  }
});
//# sourceMappingURL=FlatList.js.map