"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabButton = TabButton;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _hooks = require("./hooks");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function TabButton(props) {
  const {
    fixScrolls,
    lockScrolls
  } = (0, _hooks.useCollapsibleTab)();
  const {
    isActive,
    onPress
  } = props;
  const handlePress = event => {
    onPress === null || onPress === void 0 ? void 0 : onPress(event);
    if (!isActive) {
      lockScrolls();
      fixScrolls();
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({}, props, {
    onPress: handlePress
  }));
}
//# sourceMappingURL=TabButton.js.map