function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect, useMemo, useRef } from 'react';
import { FlatList as RNFlatList, Platform, StyleSheet } from 'react-native';
import Animated from 'react-native-reanimated';
import { useCollapsibleTab } from './hooks';

// TODO: Fix type
// eslint-disable-next-line @typescript-eslint/no-explicit-any

const AnimatedFlatList = Animated.createAnimatedComponent(RNFlatList);
export function FlatList(props) {
  const {
    layouts,
    flatListNodes,
    enableScroll,
    scrollHandler
  } = useCollapsibleTab();
  const id = useRef(Math.random()).current;
  useEffect(() => {
    props.isFocused && enableScroll(id);
  }, [props.isFocused]);
  const listStyles = useMemo(() => ({
    contentContainerStyle: {
      paddingTop: (layouts.header.height || 0) + (layouts.tabBar.height || 0),
      minHeight: (layouts.container.height || 0) + (layouts.header.height || 0)
    },
    progressViewOffset:
    // on iOS we need the refresh control to be at the top
    Platform.OS === 'ios' ? 0 :
    // on android we need it below the header or it doesn't show because of z-index
    (layouts.header.height || 0) + (layouts.tabBar.height || 0)
  }), [layouts.container.height, layouts.header.height, layouts.tabBar.height]);
  const listRefreshControl = useMemo(() => props.refreshControl && /*#__PURE__*/React.cloneElement(props.refreshControl, {
    progressViewOffset: listStyles.progressViewOffset,
    ...props.refreshControl.props
  }), [listStyles.progressViewOffset, props.refreshControl]);
  return /*#__PURE__*/React.createElement(AnimatedFlatList, _extends({}, props, {
    contentContainerStyle: [styles.contentContainerStyle, props.contentContainerStyle, listStyles.contentContainerStyle],
    ref: node => flatListNodes[id] = node,
    progressViewOffset: listStyles.progressViewOffset,
    scrollEventThrottle: 1,
    refreshControl: listRefreshControl,
    onScroll: scrollHandler(id)
  }));
}
const styles = StyleSheet.create({
  contentContainerStyle: {
    flexGrow: 1
  }
});
//# sourceMappingURL=FlatList.js.map